# Method: billingAccounts.locations.insightTypes.insights.get

- [HTTP request](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.insightTypes.insights/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.insightTypes.insights/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.insightTypes.insights/get#body.request_body)
- [Response body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.insightTypes.insights/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.insightTypes.insights/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.insightTypes.insights/get#body.aspect_1)

Gets the requested insight. Requires the recommender.\*.get IAM permission for the specified insight type.

### HTTP request

`GET https://recommender.googleapis.com/v1/{name=billingAccounts/*/locations/*/insightTypes/*/insights/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the insight. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/recommender/docs/reference/rest/v1/billingAccounts.locations.insightTypes.insights#Insight`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires **one of** the following [IAM](https://cloud.google.com/iam/docs) permissions on the `name` resource, depending on the resource type:

- `recommender.commitmentUtilizationInsights.get`
- `recommender.computeAddressIdleResourceInsights.get`
- `recommender.computeDiskIdleResourceInsights.get`
- `recommender.computeFirewallInsights.get`
- `recommender.computeImageIdleResourceInsights.get`
- `recommender.iamPolicyInsights.get`
- `recommender.iamServiceAccountInsights.get`
- `recommender.resourcemanagerProjectUtilizationInsights.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).